<?php


namespace IPS\heroimage\modules\admin\heroimage;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * basicsettings
 */
class _basicsettings extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()
	{
		{
			$form = new \IPS\Helpers\Form;
			
			$images = array();
			foreach(explode(',', \IPS\Settings::i()->vxhi_image ) as $key) {$images[] = \IPS\File::get( 'core_Theme', $key );}
			$form->add( new \IPS\Helpers\Form\Upload( 'vxhi_image', isset($images) ? $images : null, FALSE, array( 'storageExtension' => 'core_Theme', 'multiple' => false, 'image' => TRUE ), NULL, NULL, NULL, 'vxhi_image' ) );
			$form->add( new \IPS\Helpers\Form\Text( 'vxhi_height', \IPS\Settings::i()->vxhi_height, TRUE, array(), NULL, NULL, NULL, 'vxhi_height' ) );
			$form->add( new \IPS\Helpers\Form\Text( 'vxhi_mobile', \IPS\Settings::i()->vxhi_mobile, TRUE, array(), NULL, NULL, NULL, 'vxhi_mobile' ) );
			$form->add( new \IPS\Helpers\Form\Text( 'vxhi_size', \IPS\Settings::i()->vxhi_size, TRUE, array(), NULL, NULL, NULL, 'vxhi_size' ) );
			$form->add( new \IPS\Helpers\Form\Translatable( 'vxhi_headline', NULL, FALSE, array( 'app' => 'core', 'key' => 'vxhi_headline_value', 'text' => array( 'app' => 'core', 'key' => 'Admin', 'autoSaveKey' => 'HIH', 'attachIds' => array( NULL, NULL, 'vxhi_headline' ) ) ), NULL, NULL, NULL, 'vxhi_headline_id' ) );
			$form->add( new \IPS\Helpers\Form\Text( 'vxhi_left', \IPS\Settings::i()->vxhi_left, TRUE, array(), NULL, NULL, NULL, 'vxhi_left' ) );
			$form->add( new \IPS\Helpers\Form\Translatable( 'vxhi_text', NULL, FALSE, array( 'app' => 'core', 'key' => 'vxhi_text_value', 'editor' => array( 'app' => 'core', 'key' => 'Admin', 'autoSaveKey' => 'HIT', 'attachIds' => array( NULL, NULL, 'vxhi_text' ) ) ), NULL, NULL, NULL, 'vxhi_text_id' ) );
			$form->add( new \IPS\Helpers\Form\Translatable( 'vxhi_buttontext', NULL, FALSE, array( 'app' => 'core', 'key' => 'vxhi_buttontext_value', 'text' => array( 'app' => 'core', 'key' => 'Admin', 'autoSaveKey' => 'HIB', 'attachIds' => array( NULL, NULL, 'vxhi_buttontext' ) ) ), NULL, NULL, NULL, 'vxhi_buttontext_id' ) );
			$form->add( new \IPS\Helpers\Form\Text( 'vxhi_buttonlink', \IPS\Settings::i()->vxhi_buttonlink, TRUE, array(), NULL, NULL, NULL, 'vxhi_buttonlink' ) );
			$form->add( new \IPS\Helpers\Form\YesNo('vxhi_button', \IPS\Settings::i()->vxhi_button) );
			$form->add( new \IPS\Helpers\Form\YesNo('vxhi_global', \IPS\Settings::i()->vxhi_global) );
			$form->add( new \IPS\Helpers\Form\YesNo( 'vxhi_cms', \IPS\Settings::i()->vxhi_cms, FALSE, array( 'togglesOn' => array( 'vxhi_cmspages' ) ) ) );
			$form->add( new \IPS\Helpers\Form\Text( 'vxhi_cmspages', \IPS\Settings::i()->vxhi_cmspages, TRUE, array(), NULL, NULL, NULL, 'vxhi_cmspages' ) );
			$form->add( new \IPS\Helpers\Form\YesNo('vxhi_forum', \IPS\Settings::i()->vxhi_forum) );
			$form->add( new \IPS\Helpers\Form\Select( 
				'vxhi_groups', 
				\IPS\Settings::i()->vxhi_groups != -1 ? explode( ',', \IPS\Settings::i()->vxhi_groups ) : -1,
				TRUE, 
				array( 
				'options' => \IPS\Member\Group::groups(), 
				'parse' => 'normal', 
				'multiple' => TRUE, 
				'unlimited' => -1, 
				'unlimitedLang' => 'all_groups' 
				) 
				) );
			$themes = array();
			foreach( \IPS\Theme::themes() as $theme ) {
				$themes[ $theme->id ] = $theme->_title;
			}
			$form->add( new \IPS\Helpers\Form\Select( 'vxhi_themes', ( \IPS\Settings::i()->vxhi_themes ? explode( ',', \IPS\Settings::i()->vxhi_themes ) : '' ), FALSE, array( 'options' => $themes, 'multiple' => true ) ) );
			if ( $values = $form->values() )
			{
				foreach ( array( 'vxhi_headline' => 'vxhi_headline_value' ) as $k => $v )
				{
					\IPS\Lang::saveCustom( 'core', $v, $values[ $k ] );
					unset( $values[ $k ] );
				}
				foreach ( array( 'vxhi_text' => 'vxhi_text_value' ) as $k => $v )
				{
					\IPS\Lang::saveCustom( 'core', $v, $values[ $k ] );
					unset( $values[ $k ] );
				}
				foreach ( array( 'vxhi_buttontext' => 'vxhi_buttontext_value' ) as $k => $v )
				{
					\IPS\Lang::saveCustom( 'core', $v, $values[ $k ] );
					unset( $values[ $k ] );
				}
				$form->saveAsSettings( $values );		
			$form->saveAsSettings();
			}
	
			\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack( 'Hero Image - Basic Settings' );
			\IPS\Output::i()->output = $form;
		}
	}
	// Create new methods with the same name as the 'do' parameter which should execute it
}