<?php


namespace IPS\heroimage\modules\admin\heroimage;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * membersettings
 */
class _membersettings extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()
	{
		{
			$form = new \IPS\Helpers\Form;
			$form->add( new \IPS\Helpers\Form\YesNo('vxhi_memberenable', \IPS\Settings::i()->vxhi_memberenable) );			
			$images = array();
			foreach(explode(',', \IPS\Settings::i()->vxhi_memberimage ) as $key) {$images[] = \IPS\File::get( 'core_Theme', $key );}
			$form->add( new \IPS\Helpers\Form\Upload( 'vxhi_memberimage', isset($images) ? $images : null, FALSE, array( 'storageExtension' => 'core_Theme', 'multiple' => false, 'image' => TRUE ), NULL, NULL, NULL, 'vxhi_memberimage' ) );
			$form->add( new \IPS\Helpers\Form\Translatable( 'vxhi_memberheadline', NULL, FALSE, array( 'app' => 'core', 'key' => 'vxhi_memberheadline_value', 'text' => array( 'app' => 'core', 'key' => 'Admin', 'autoSaveKey' => 'HIH', 'attachIds' => array( NULL, NULL, 'vxhi_memberheadline' ) ) ), NULL, NULL, NULL, 'vxhi_memberheadline_id' ) );
			$form->add( new \IPS\Helpers\Form\Translatable( 'vxhi_membercontent', NULL, FALSE, array( 'app' => 'core', 'key' => 'vxhi_membercontent_value', 'editor' => array( 'app' => 'core', 'key' => 'Admin', 'autoSaveKey' => 'HIT', 'attachIds' => array( NULL, NULL, 'vxhi_membercontent' ) ) ), NULL, NULL, NULL, 'vxhi_membercontent_id' ) );
			$form->add( new \IPS\Helpers\Form\Translatable( 'vxhi_membertext', NULL, FALSE, array( 'app' => 'core', 'key' => 'vxhi_membertext_value', 'text' => array( 'app' => 'core', 'key' => 'Admin', 'autoSaveKey' => 'HIB', 'attachIds' => array( NULL, NULL, 'vxhi_membertext' ) ) ), NULL, NULL, NULL, 'vxhi_membertext_id' ) );
			$form->add( new \IPS\Helpers\Form\Text( 'vxhi_memberlink', \IPS\Settings::i()->vxhi_buttonlink, TRUE, array(), NULL, NULL, NULL, 'vxhi_vxhi_memberlink' ) );
			$form->add( new \IPS\Helpers\Form\YesNo('vxhi_memberbutton', \IPS\Settings::i()->vxhi_memberbutton) );
			if ( $values = $form->values() )
			{
				foreach ( array( 'vxhi_memberheadline' => 'vxhi_memberheadline_value' ) as $k => $v )
				{
					\IPS\Lang::saveCustom( 'core', $v, $values[ $k ] );
					unset( $values[ $k ] );
				}
				foreach ( array( 'vxhi_membercontent' => 'vxhi_membercontent_value' ) as $k => $v )
				{
					\IPS\Lang::saveCustom( 'core', $v, $values[ $k ] );
					unset( $values[ $k ] );
				}
				foreach ( array( 'vxhi_membertext' => 'vxhi_membertext_value' ) as $k => $v )
				{
					\IPS\Lang::saveCustom( 'core', $v, $values[ $k ] );
					unset( $values[ $k ] );
				}
				$form->saveAsSettings( $values );		
			$form->saveAsSettings();
			}
			\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack( 'Hero Image - Member Settings' );
			\IPS\Output::i()->output = $form;
		}
	}
	// Create new methods with the same name as the 'do' parameter which should execute it
}